Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF » Using EMF in a standalone application / Birt Project - IncompatibleClassChangeError
Using EMF in a standalone application / Birt Project - IncompatibleClassChangeError [message #558498] Mon, 13 September 2010 09:28 Go to next message
Kris Missing name is currently offline Kris Missing nameFriend
Messages: 47
Registered: July 2009
Member
Hi,

I am trying to use a EMF model in a Birt Project.

According to the EMF book "EMF: Eclipse Modeling Framework, 2nd Edition"
(Chapter 20.2 Stand-Alone Applications), I have added the following
plugins to the path of the birt project as well as to report bug
configuration classpath:

org.eclipse.emf.ecore_2.6.1.v20100907-1721.jar
org.eclipse.emf.common_2.6.0.v20100907-1721.jar

Exactly these plugins are referenced in the modeling project (node
"plugin dependencies")

During report debugging of the java event handler classes that are
hooked in the birt report, I get a

java.lang.IncompatibleClassChangeError: Implementing class.

This error arises in the line where I try to get an instance of a model
class:

MyComp c = MyModelFactory.eINSTANCE.createComponent();

I am clueless how to go ahead - any idea what may cause the
IncompatibleClassChangeError?

Thanks
Kris
Re: Using EMF in a standalone application / Birt Project - IncompatibleClassChangeError [message #558556 is a reply to message #558498] Mon, 13 September 2010 13:17 Go to previous messageGo to next message
Kris Missing name is currently offline Kris Missing nameFriend
Messages: 47
Registered: July 2009
Member
Hi,

in the meantime I found what is causing this error. Due to a bug (*1) in
Birt I updated birt to 2.6.1 RC1 as mentioned in the bug comments via

http://download.eclipse.org/birt/update-site/2.6-interim/

When I revert this update, the IncompatibleClassChangeError is gone.

However, due to the bug from (*1) I need this version of Birt.

Any idea how to get around this - is the also a interim update site for
emf which may resolve this problem?

Thanks
Kris



(*1) https://bugs.eclipse.org/bugs/show_bug.cgi?format=multiple&a mp;id=318679


Am 9/13/10 11:28 AM, schrieb KW:
> Hi,
>
> I am trying to use a EMF model in a Birt Project.
>
> According to the EMF book "EMF: Eclipse Modeling Framework, 2nd Edition"
> (Chapter 20.2 Stand-Alone Applications), I have added the following
> plugins to the path of the birt project as well as to report bug
> configuration classpath:
>
> org.eclipse.emf.ecore_2.6.1.v20100907-1721.jar
> org.eclipse.emf.common_2.6.0.v20100907-1721.jar
>
> Exactly these plugins are referenced in the modeling project (node
> "plugin dependencies")
>
> During report debugging of the java event handler classes that are
> hooked in the birt report, I get a
>
> java.lang.IncompatibleClassChangeError: Implementing class.
>
> This error arises in the line where I try to get an instance of a model
> class:
>
> MyComp c = MyModelFactory.eINSTANCE.createComponent();
>
> I am clueless how to go ahead - any idea what may cause the
> IncompatibleClassChangeError?
>
> Thanks
> Kris
Re: Using EMF in a standalone application / Birt Project - IncompatibleClassChangeError [message #558569 is a reply to message #558556] Mon, 13 September 2010 14:13 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 30551
Registered: July 2009
Senior Member
Kris,

I've not seen such an error. Is the classpath used for compilation
verses the one you use to run different? Likely it's better if you
structure your project as a plugin, let the PDE manage the classpath,
and then run your stand alone application from that.


KW wrote:
> Hi,
>
> in the meantime I found what is causing this error. Due to a bug (*1)
> in Birt I updated birt to 2.6.1 RC1 as mentioned in the bug comments via
>
> http://download.eclipse.org/birt/update-site/2.6-interim/
>
> When I revert this update, the IncompatibleClassChangeError is gone.
>
> However, due to the bug from (*1) I need this version of Birt.
>
> Any idea how to get around this - is the also a interim update site
> for emf which may resolve this problem?
>
> Thanks
> Kris
>
>
>
> (*1) https://bugs.eclipse.org/bugs/show_bug.cgi?format=multiple&a mp;id=318679
>
>
> Am 9/13/10 11:28 AM, schrieb KW:
>> Hi,
>>
>> I am trying to use a EMF model in a Birt Project.
>>
>> According to the EMF book "EMF: Eclipse Modeling Framework, 2nd Edition"
>> (Chapter 20.2 Stand-Alone Applications), I have added the following
>> plugins to the path of the birt project as well as to report bug
>> configuration classpath:
>>
>> org.eclipse.emf.ecore_2.6.1.v20100907-1721.jar
>> org.eclipse.emf.common_2.6.0.v20100907-1721.jar
>>
>> Exactly these plugins are referenced in the modeling project (node
>> "plugin dependencies")
>>
>> During report debugging of the java event handler classes that are
>> hooked in the birt report, I get a
>>
>> java.lang.IncompatibleClassChangeError: Implementing class.
>>
>> This error arises in the line where I try to get an instance of a model
>> class:
>>
>> MyComp c = MyModelFactory.eINSTANCE.createComponent();
>>
>> I am clueless how to go ahead - any idea what may cause the
>> IncompatibleClassChangeError?
>>
>> Thanks
>> Kris
>
Previous Topic:Constraints through Annotations in Ecore model
Next Topic:Difference betweeen constraints and Invariants
Goto Forum:
  


Current Time: Sun Oct 20 15:19:28 GMT 2019

Powered by FUDForum. Page generated in 0.01790 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top